### Hierarchy

- ICodeProps
  - IConfirmFormProps
  - IPasswordFormProps

## Index

### Properties

- code
- codeInputProps
- onCodeChanged

## Properties

### code

code: string | undefined

- Defined in types.ts:109

Current user input or undefined. Required.

### Optional codeInputProps

codeInputProps: ICrossEditorProps | undefined

- Defined in types.ts:121

Optional props for the code input. Typically used to change the `label` prop.

Read more: https://crossplatformsweden.github.io/react-native-components/interfaces/_components_input_crosseditor_.icrosseditorprops.html

example

  <ConfirmForm codeInputProps={{label: 'WouldntYouLikeToKnow'}}> <Text>Custom layouts here</Text> </ConfirmForm>

### Optional onCodeChanged

onCodeChanged: undefined | function

- Defined in types.ts:105

Optional callback for code changed. Contains code user entered